BuildRequires: perl-podlators
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Class/Accessor/Fast.pm) perl(Encode.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(HTML/FormatText.pm) perl(HTTP/Tiny.pm) perl(JSON/MaybeXS.pm) perl(Scalar/Util.pm) perl(Test/RequiresInternet.pm) perl(parent.pm) perl(Cpanel/JSON/XS.pm) perl(JSON/PP.pm) perl(JSON/XS.pm)
# END SourceDeps(oneline)
%define module_version 0.003
%define module_name WebService-TDWTF
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.003
Release: alt1
Summary: retrieve articles from thedailywtf.com
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/M/MG/MGV/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
WebService::TDWTF is an interface to the API of http://thedailywtf.com.
Quoting the website's sidebar:

    Founded in 2004 by Alex Papadimoulis, The Daily WTF is your
    how-not-to guide for developing software. We recount tales of
    disastrous development, from project management gone spectacularly
    bad to inexplicable coding choices.

This module exports the following functions:

=over

=item tdwtf_article()

=item tdwtf_article(*$id_or_slug*)

=item article()

=item article(*$id_or_slug*)

With an argument, returns a the WebService::TDWTF manpage object representing
the article with the given ID or slug.

With no arguments, returns a the WebService::TDWTF manpage object representing
a random article.

=item tdwtf_list_recent()

=item tdwtf_list_recent(*$count*)

=item tdwtf_list_recent(*$year*, *$month*)

=item list_recent()

=item list_recent(*$count*)

=item list_recent(*$year*, *$month*)

With no arguments, returns the most recent 8 articles.

With one argument, returns the most recent *$count* articles.
*$count* is at most 100.

With two arguments, returns all articles published in the given month
of the given year. *$month* is an integer between 1 and 12.

=item tdwtf_list_series(*$slug*)

=item tdwtf_list_series(*$slug*, *$count*)

=item tdwtf_list_series(*$slug*, *$year*, *$month*)

=item list_series(*$slug*)

=item list_series(*$slug*, *$count*)

=item list_series(*$slug*, *$year*, *$month*)

With no arguments, returns the most recent 8 articles in the given
series.

With one argument, returns the most recent *$count* articles in the
given series. *$count* is at most 100.

With two arguments, returns all articles in the given series published
in the given month of the given year. *$month* is an integer between
1 and 12.

=item tdwtf_list_author(*$slug*)

=item tdwtf_list_author(*$slug*, *$count*)

=item tdwtf_list_author(*$slug*, *$year*, *$month*)

=item list_author(*$slug*)

=item list_author(*$slug*, *$count*)

=item list_author(*$slug*, *$year*, *$month*)

With no arguments, returns ...

%package scripts
Summary: %name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %name

%prep
%setup -q -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/A*
%perl_vendor_privlib/W*

%files scripts
%_bindir/*
%_man1dir/*
%_man1dir/*


%changelog
* Wed Mar 23 2016 Igor Vlasenko <viy@altlinux.ru> 0.003-alt1
- initial import by package builder

